# buildit(1)

ProduceIt, July 2018

```
buildit [options] distro source-packages...

```

<a name="description"></a>

# Description

This is a tool somewhat analgalous to debian pbuilder, but builds binary
packages for each source package specified in a shellit managed distro chroot.
This means that, unlike pbuilder, the build environment is not unpackaged and
re-installed for every package build.  This makes for much faster builds, but
does require management of the build environment itself such as thru shellit.

The builds are done in a tmpfs to further improvement performance and
reduce disk writes.  They are also made under the root account, so it
is not tied to the properties and configurations of the shellit user.

Builtit also uses the /var/archive directory to hold packages based on the
distro (deb or rpm) and a special repo config to allow the use of this local
package repo. This is used in particular so that you can build packages needed
as dependencies for other packages and have a repo for the later packages to
use and that the shellit contained distro can update from.

Buildit is meant to produce binary packages from sources in redhat .src.rpm's
and from debian .dsc (or .changes) files, based on the distro being used.
The resulting binary packages, when successful, are copied back to the
current directory buildit was ran from.

<a name="options"></a>

# Options


* **--arch**
  Specify alternate architecture if the chroot is different from the host. This
  presumes qemu user mode emulation will be used and an appropriate qemu static
  binary is in the chroot itself.  This allows you to run an armhf chroot
  instance on an amd64 host, for example.
* **--binary**
  Produce arch specific binary packages only.  This supression production of
  arch independent packages, since they only need to be produced on one
  architecture.  For deb's, this means no .all.deb's will be made.
* **--depends**
  Attempts to install all required build dependencies before starting to
  build the package.  This is often done instead in advance thru shellit
  and so is often not needed.
* **--update**
  Update the chroot before starting the build.  This is useful if you
  are building a package that depends on a prior package build assuming
  the output from the prior build has been copied into the archive (for
  debian, perhaps using deb-archive).
* **--verbose**
  Provide info about mounting and unmounting of bind mounts when starting and
  exiting shellit.

<a name="author"></a>

# Author

**buildit**
was written by David Sugar &lt;[tychosoft@gmail.com](mailto:tychosoft@gmail.com)&gt;.

<a name="reporting-bugs"></a>

# Reporting Bugs

Report bugs to produceit-bugs@tychosoft.com.

<a name="copyright"></a>

# Copyright

Copyright © 2018-2019 David Sugar &lt;tychosoft@gmail.com&gt;.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

