# lxcuser(1)

ProduceIt, November 2018

```
lxcuser [options]

```

<a name="description"></a>

# Description

lxcuser is used to initiate a lxc container if it is not already running,
and then login as a user in that container.  By default, the user must have
the same userid as the external user launching lxcuser, and hence you will
need a login account inside the container.

If lxcuser has already been started by another lxcuser instance, it keeps a
count of active lxcuser sessions.  When the last lxcuser instance exits, the
lxc container is automatically shut down as well.

This makes it easy to use an lxc container for development where you need to
develop and test on a different version of gnu/linux than the os that is
hosting lxc.  You can even use ssh with -t to run a lxcuser session from a
remote host.

The underlying mechanism used is lxc-attach and /bin/su.  To prevent abuse,
the user running lxcuser must be in the produceit group.  In addition, if
you use the -u option to change user login id (such as to "root"), you also
have to be in sudo or wheel on the lxc host side.

<a name="options"></a>

# Options


* **--name**
  Specify name of lxc instance to use, per /var/lib/lxc/xxx.  The given lxc
  container will be started if it is idle, and stopped when the last lxcuser
  session using it exits.
* **--preserve**
  Preserve the current environment when logging into the lxc container.  By
  default the user logs in with a fresh login environment.
* **--user**
  Specify alternate user to login to in the container.  The default is the
  same userid as you have on the lxc host.

<a name="author"></a>

# Author

**lxcuser**
was written by David Sugar &lt;[tychosoft@gmail.com](mailto:tychosoft@gmail.com)&gt;.

<a name="reporting-bugs"></a>

# Reporting Bugs

Report bugs to produceit-bugs@tychosoft.com.

<a name="copyright"></a>

# Copyright

Copyright © 2018-2019 David Sugar &lt;tychosoft@gmail.com&gt;.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

