# shellit(1)

ProduceIt, July 2018

```
shellit [options] distro [command...]

```

<a name="description"></a>

# Description

This starts a user shell in a chroot of the chosen distro.  This user shell has
the same identity of the current user that you are logged into the host os as,
but with an entirely private distro specific instance of the home directory
itself.

Shellit creates bind mounts and a private namespace to run the chroot in. It
also copies the current hosts passwd file.  It creates a special /var/archive
directory to hold packages based on the distro (deb or rpm) and a special repo
config to allow the use of this local package repo. This is used in particular
so that you can build packages needed as dependencies for other packages and
have a repo for the later packages to use and that the shellit contained distro
can update from.

Shellit normally produces a login shell within the chroot using your current
user identity.  If instead command argument are passed, then shellit will run
the command and arguments specified within the chroot and immediately return
with the exit code status.

<a name="options"></a>

# Options


* **--arch**
  Specify alternate architecture if the chroot is different from the host. This
  presumes qemu user mode emulation will be used and an appropriate qemu static
  binary is in the chroot itself.  This allows you to run an armhf chroot
  instance on an amd64 host, for example.
* **--shell**
  Execute the user's current shell (per $SHELL) in the chroot environment rather
  than the default shell (typically /bin/bash).
* **--verbose**
  Provide info about mounting and unmounting of bind mounts when starting and
  exiting shellit.

<a name="author"></a>

# Author

**shellit**
was written by David Sugar &lt;[tychosoft@gmail.com](mailto:tychosoft@gmail.com)&gt;.

<a name="reporting-bugs"></a>

# Reporting Bugs

Report bugs to produceit-bugs@tychosoft.com.

<a name="copyright"></a>

# Copyright

Copyright © 2018-2019 David Sugar &lt;tychosoft@gmail.com&gt;.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

